All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.expr.relational
Class SimpleConditionalExpression_TestForNull

    com.sas.iquery.metadata.expr.relational.SimpleConditionalExpression_TestForNull

All Implemented Interfaces:
  Base, BusinessModelResourceReferencer, CascadableFilter, ModelItem, UsabilityInterface, ExpressionInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

    public class SimpleConditionalExpression_TestForNull

implements BusinessModelResourceReferencer

Models the testing for the NULL simple conditional expression, which has the following abstract form:
`<WhatToCompare> IS [NOT] NULL`

Field Summary

Fields inherited from class com.sas.iquery.metadata.expr.relational.RelationalConditionalExpression
`EVENT_FF_OVERRIDE_STATUS_CHANGED, EVENT_FF_OVERRIDE_VALUE_CHANGED`

Fields inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`EVENT_NEGATION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Constructor Summary
`SimpleConditionalExpression_TestForNull()`

Method Summary
`ExpressionInterface` | `getWhatToCompare()` Returns the expression that is tested for `NULL`.
`void` | `setWhatToCompare(ExpressionInterface expr)` Sets the expression that is to be tested for `NULL`.

Methods inherited from class com.sas.iquery.metadata.expr.relational.RelationalConditionalExpression
`getExpression`

Methods inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`getExpressionType, isNegated, setIsNegated`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Constructor Detail

### SimpleConditionalExpression_TestForNull

    public SimpleConditionalExpression_TestForNull()

Method Detail

*** This method is subject to change. ***

### setWhatToCompare

    public void setWhatToCompare(ExpressionInterface expr)

  Sets the expression that is to be tested for `NULL`.

  Parameters:
    `expr` - the expression to be tested.

*** This method is subject to change. ***

### getWhatToCompare

    public ExpressionInterface getWhatToCompare()

  Returns the expression that is tested for `NULL`.

  Returns:
    the expression to be tested.

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.